loadTextures({
    "base": "skarlet:magical_sword"
});

var utils = implement("fisktag:external/utils");

var model;
var cancelAnimations = false;

function init(renderer) {
    var model = utils.createModel(renderer, "skarlet:magical_sword", "base");
    renderer.setModel(model);
}

function render(renderer, entity, glProxy, renderType, scopeTimer, recoil, isLeftSide) {
	cancelAnimations = false;
    if (renderType === "EQUIPPED_FIRST_PERSON") {

    } else if (renderType === "ENTITY") {
        glProxy.rotate(90, 1, 0, 0);
        glProxy.rotate(90, 0, 1, 0);
        glProxy.translate(0.0, 0.5, 0.0);
    } else if (renderType === "INVENTORY") {
        glProxy.scale(0.9);
        glProxy.rotate(-45, 0, 1, 0);
        glProxy.rotate(-30, 0, 0, 1);
        glProxy.rotate(180, 0, 1, 0);
        glProxy.translate(0.0, 0.3, 0.8);
        glProxy.rotate(45, 1, 0, 0);
    } else if (renderType === "EQUIPPED") {
        
    }
}
